[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSimpleRWSync.Beginwrite

Acquire a write lock

## Declaration

Source position: systhrdh.inc line 33

`public function TSimpleRWSync.Beginwrite: Boolean;`

## Description

Beginwrite waits till all other threads have released their read or write locks on the object, and then acquires a write lock on the object.

## See also

TSimpleRWSync.BeginRead |  | Acquire a read lock
TSimpleRWSync.EndWrite |  | Release the write lock